OpenTTD Source: SlVehicleShip Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Public Attributes
SlVehicleShip Class Reference
Inheritance diagram for SlVehicleShip:

## Public Member Functions
void | Save (Vehicle *v) const override
void | Load (Vehicle *v) const override
void | FixPointers (Vehicle *v) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlVehicleShip, Vehicle >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (Vehicle *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static std::vector< Trackdir > | ship_path_td
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _vehicle_ship_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 914 of file vehicle_sl.cpp.

## Member Function Documentation

## ◆ FixPointers()

void SlVehicleShip::FixPointers | ( | Vehicle * | v | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlVehicleShip, Vehicle >.

Definition at line 945 of file vehicle_sl.cpp.

## ◆ Load()

void SlVehicleShip::Load | ( | Vehicle * | v | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlVehicleShip, Vehicle >.

Definition at line 933 of file vehicle_sl.cpp.

## ◆ Save()

void SlVehicleShip::Save | ( | Vehicle * | v | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlVehicleShip, Vehicle >.

Definition at line 927 of file vehicle_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlVehicleShip::compat_description = _vehicle_ship_sl_compat
| inlinestatic

Definition at line 925 of file vehicle_sl.cpp.

## ◆ description

const SaveLoad SlVehicleShip::description[]
| inlinestatic

Initial value:
= {
SLEG_STRUCT("common", SlVehicleCommon),
SLE_VAR(Ship, state, SLE_UINT8),
SLEG_CONDVECTOR("path", ship_path_td, SLE_UINT8, SLV_SHIP_PATH_CACHE, SLV_PATH_CACHE_FORMAT),
SLEG_CONDSTRUCTLIST("path", SlVehicleShipPath, SLV_PATH_CACHE_FORMAT, SL_MAX_VERSION),
SLE_CONDVAR(Ship, rotation, SLE_UINT8, SLV_SHIP_ROTATION, SL_MAX_VERSION),
}
SlVehicleCommon
Definition vehicle_sl.cpp:645
SlVehicleShipPath
Definition vehicle_sl.cpp:904
SLEG_CONDVECTOR
#define SLEG_CONDVECTOR(name, variable, type, from, to)
Storage of a global vector of SL_VAR elements in some savegame versions.
Definition saveload.h:1184
SLEG_STRUCT
#define SLEG_STRUCT(name, handler)
Storage of a structs in every savegame version.
Definition saveload.h:1233
SLE_CONDVAR
#define SLE_CONDVAR(base, variable, type, from, to)
Storage of a variable in some savegame versions.
Definition saveload.h:883
SLV_SHIP_ROTATION
@ SLV_SHIP_ROTATION
204 PR#7065 Add extra rotation stages for ships.
Definition saveload.h:288
SLV_SHIP_PATH_CACHE
@ SLV_SHIP_PATH_CACHE
203 PR#7072 Add path cache for ships
Definition saveload.h:287
SLV_PATH_CACHE_FORMAT
@ SLV_PATH_CACHE_FORMAT
346 PR#12345 Vehicle path cache format changed.
Definition saveload.h:395
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition saveload.h:416
SLEG_CONDSTRUCTLIST
#define SLEG_CONDSTRUCTLIST(name, handler, from, to)
Storage of a list of structs in some savegame versions.
Definition saveload.h:1193
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1017
Ship
All ships have this type.
Definition ship.h:32

Definition at line 918 of file vehicle_sl.cpp.

## ◆ ship_path_td

std::vector<Trackdir> SlVehicleShip::ship_path_td
| inlinestatic

Definition at line 916 of file vehicle_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/vehicle_sl.cpp